curl -X POST 'https://api.example.com/resource-scope-links/batch' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '[
{
"resourceId": "resource_lib_auth",
"scopeId": "scope_project_a",
"linkType": "share"
},
{
"resourceId": "resource_lib_auth",
"scopeId": "scope_project_b",
"linkType": "share"
},
{
"resourceId": "resource_lib_auth",
"scopeId": "scope_project_c",
"linkType": "share"
}
]'
[
{
"id": "rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"resourceId": "resource_lib_auth",
"scopeId": "scope_project_a",
"linkType": "share",
"createdAt": "2024-01-15T10:30:00Z"
},
{
"id": "rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5c",
"resourceId": "resource_lib_auth",
"scopeId": "scope_project_b",
"linkType": "share",
"createdAt": "2024-01-15T10:30:00Z"
},
{
"id": "rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5d",
"resourceId": "resource_lib_auth",
"scopeId": "scope_project_c",
"linkType": "share",
"createdAt": "2024-01-15T10:30:00Z"
}
]
Resource Scope Links
Create Resource Scope Links (Batch)
Create multiple resource scope links at once
POST
/
resource-scope-links
/
batch
curl -X POST 'https://api.example.com/resource-scope-links/batch' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '[
{
"resourceId": "resource_lib_auth",
"scopeId": "scope_project_a",
"linkType": "share"
},
{
"resourceId": "resource_lib_auth",
"scopeId": "scope_project_b",
"linkType": "share"
},
{
"resourceId": "resource_lib_auth",
"scopeId": "scope_project_c",
"linkType": "share"
}
]'
[
{
"id": "rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"resourceId": "resource_lib_auth",
"scopeId": "scope_project_a",
"linkType": "share",
"createdAt": "2024-01-15T10:30:00Z"
},
{
"id": "rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5c",
"resourceId": "resource_lib_auth",
"scopeId": "scope_project_b",
"linkType": "share",
"createdAt": "2024-01-15T10:30:00Z"
},
{
"id": "rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5d",
"resourceId": "resource_lib_auth",
"scopeId": "scope_project_c",
"linkType": "share",
"createdAt": "2024-01-15T10:30:00Z"
}
]
Request Body
Array of resource scope link objects to create.string
Optional client-provided ID. Format:
rsl_{uuidv7}string
required
ID of the resource to link
string
required
ID of the scope to link to
string
required
Type of link:
share, alias, or mirrorobject
Optional metadata for this link
Response
Returns an array of created resource scope link objects.curl -X POST 'https://api.example.com/resource-scope-links/batch' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '[
{
"resourceId": "resource_lib_auth",
"scopeId": "scope_project_a",
"linkType": "share"
},
{
"resourceId": "resource_lib_auth",
"scopeId": "scope_project_b",
"linkType": "share"
},
{
"resourceId": "resource_lib_auth",
"scopeId": "scope_project_c",
"linkType": "share"
}
]'
[
{
"id": "rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"resourceId": "resource_lib_auth",
"scopeId": "scope_project_a",
"linkType": "share",
"createdAt": "2024-01-15T10:30:00Z"
},
{
"id": "rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5c",
"resourceId": "resource_lib_auth",
"scopeId": "scope_project_b",
"linkType": "share",
"createdAt": "2024-01-15T10:30:00Z"
},
{
"id": "rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5d",
"resourceId": "resource_lib_auth",
"scopeId": "scope_project_c",
"linkType": "share",
"createdAt": "2024-01-15T10:30:00Z"
}
]
Was this page helpful?
⌘I